הודעה למנהל
GET https://0o0.online/api/notification-handlers/
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| פרמטרים | פרטים | תיאור |
|---|---|---|
| search | אופציונלי חוט | רצועת החיפוש |
| search_by | אופציונלי חוט | איזה שדה אתה מחפש על ידי. ערכים מורשים הם: name. |
| is_enabled | אופציונלי בואליאן | |
| type | אופציונלי חוט | איזה שדה אתה מחפש על ידי. ערכים מורשים הם: . |
| datetime_field | אופציונלי חוט | ערכים מורשים : datetime, last_datetime |
| datetime_start | אופציונלי חוט | סנכרון תוצאות החל מהתאריך הזה. Y-m-d H:i:s פורמט |
| datetime_end | אופציונלי חוט | מסננים את התוצאות עד לתאריך זה. Y-m-d H:i:s פורמט |
| order_by | אופציונלי חוט | איזה שדה להזמין את התוצאות על ידי. ערכים מורשים הם: notification_handler_id, datetime, last_datetime, name. |
| order_type | אופציונלי חוט | ההזמנה של התוצאות. הערכים המותרים הם: ASC על מנת להעלות את ההזמנה, ו DESC להוראות הנחיתה. |
| search | אופציונלי חוט | רצועת החיפוש |
| search_by | אופציונלי חוט | איזה שדה אתה מחפש על ידי. ערכים מורשים הם: name. |
| is_enabled | אופציונלי בואליאן | |
| type | אופציונלי חוט | איזה שדה אתה מחפש על ידי. ערכים מורשים הם: . |
| datetime_field | אופציונלי חוט | ערכים מורשים : datetime, last_datetime |
| datetime_start | אופציונלי חוט | סנכרון תוצאות החל מהתאריך הזה. Y-m-d H:i:s פורמט |
| datetime_end | אופציונלי חוט | מסננים את התוצאות עד לתאריך זה. Y-m-d H:i:s פורמט |
| order_by | אופציונלי חוט | איזה שדה להזמין את התוצאות על ידי. ערכים מורשים הם: notification_handler_id, datetime, last_datetime, name. |
| order_type | אופציונלי חוט | ההזמנה של התוצאות. הערכים המותרים הם: ASC על מנת להעלות את ההזמנה, ו DESC להוראות הנחיתה. |
| page | אופציונלי כללי | מספר הדף שברצונך תוצאות מ. 1. |
| results_per_page | אופציונלי כללי | כמה תוצאות ברצונך לדף.ערכים מורשים הם: 10, 25, 50, 100, 250, 500, 1000. פגמים ל 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:49",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/notification-handlers?page=1",
"last": "https://0o0.online/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/notification-handlers?page=1"
}
}
GET https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:49",
}
}
POST https://0o0.online/api/notification-handlers
| פרמטרים | פרטים | תיאור |
|---|---|---|
| name | חובה חוט | - |
| type | חובה חוט | ערכים מורשים : |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/notification-handlers/{notification_handler_id}
| פרמטרים | פרטים | תיאור |
|---|---|---|
| name | אופציונלי חוט | - |
| type | אופציונלי חוט | ערכים מורשים : |
| is_enabled | אופציונלי בואליאן | - |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \